# createConnectionTeam

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| POST | https://api.thomas.co/v1/teams |

| Field | Value |
|---|---|
| operationId | createConnectionTeam |
| method | POST |
| server | https://api.thomas.co/v1 |
| path | /teams |
| tags | `Teams` |
| summary | Create a connection team |
| badges | None |

## Request Parameters

None.

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/CreateExplicitTeamDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 201 | Connection team created | #/components/schemas/TeamWithMembersResponseDto |
| 400 | Invalid request payload | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token | #/components/schemas/ApiErrorResponseDto |
| 403 | Creator has not completed a scored behaviour assessment | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 403 example

```json
{
  "statusCode": 403,
  "message": "You must complete your behaviour assessment before creating a team",
  "error": "ASSESSMENT_REQUIRED"
}
```
